#!/bin/sh
# Debian, Ubuntu, etc. setup script for the SrvrPowerCtrl plugin
#
echo 'Setting up SrvrPowerCtrl plugin for Debian-Ubuntu..'
user=`whoami`
if [ "$user" != "root" ] 
  then
    echo 'Error: This script needs to be run with root cridentials,'
    echo "either via # sudo $0"
    echo 'or under su.'
    exit
fi

#change to script directory..
SRC_SCRIPT_DIR=`dirname $0`
cd "$SRC_SCRIPT_DIR"

#fixup permissions for our plugin
chown -R squeezecenter:nogroup ../../.

TRG_SCRIPT_DIR="/usr/local/sbin"

#copy the scripts into the scriptdir..
cp "$SRC_SCRIPT_DIR/scwakeup.sh" $TRG_SCRIPT_DIR
cp "$SRC_SCRIPT_DIR/screstart.sh" $TRG_SCRIPT_DIR

#fix permissions on the scripts..
chmod a+x "$TRG_SCRIPT_DIR/scwakeup.sh"
chown  root:root "$TRG_SCRIPT_DIR/scwakeup.sh"

chmod a+x "$TRG_SCRIPT_DIR/screstart.sh"
chown  root:root "$TRG_SCRIPT_DIR/screstart.sh"


#Allow the squeezecenter user to use the 'shutdown' command..
touch /etc/shutdown.allow
echo 'squeezecenter' >>/etc/shutdown.allow

#Tell sudo that the squeezecenter user has permissions to run these commands..
echo 'squeezecenter ALL = NOPASSWD: /sbin/shutdown*' >>/etc/sudoers
echo 'squeezecenter ALL = NOPASSWD: /usr/sbin/pm-suspend' >>/etc/sudoers
echo 'squeezecenter ALL = NOPASSWD: /usr/sbin/pm-hibernate' >>/etc/sudoers
echo "squeezecenter ALL = NOPASSWD: $TRG_SCRIPT_DIR/scwakeup.sh" >>/etc/sudoers
echo "squeezecenter ALL = NOPASSWD: $TRG_SCRIPT_DIR/screstart.sh" >>/etc/sudoers

echo 'Done!'
